## django-ninja 0.22.2

=== Makefile ===
.DEFAULT_GOAL := help

.PHONY: help
help:
	@fgrep -h "##" $(MAKEFILE_LIST) | fgrep -v fgrep | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

.PHONY: install
install: ## Install dependencies
	flit install --deps develop --symlink

.PHONY: lint
lint: ## Run code linters
	black --check ninja tests
	isort --check ninja tests
	flake8 ninja tests
	mypy ninja

.PHONY: fmt format
fmt format: ## Run code formatters
	black ninja tests
	isort ninja tests

.PHONY: test
test: ## Run tests
	pytest .

.PHONY: test-cov
test-cov: ## Run tests with coverage
	pytest --cov=ninja --cov-report term-missing tests

.PHONY: docs
docs: ## Serve documentation locally
	pip install -r docs/requirements.txt
	cd docs && mkdocs serve -a localhost:8090

=== docs/requirements.txt ===
mkdocs==1.3.1
mkdocs-material==8.3.9
markdown-include==0.7.0
Jinja2==3.1.2
mkdocstrings[python]==0.19.0

=== debian/changelog ===
django-ninja (0.22.2-1.pilot.3) unstable; urgency=low

  * Ported to trixie

 -- Gael Le Mignot <gael@pilotsystems.net>  Tue, 16 Sep 2025 15:48:05 +0200

django-ninja (0.22.2-1.pilot.2) unstable; urgency=low

  * Fixed templates and statics

 -- Gael Le Mignot <gael@pilotsystems.net>  Fri, 02 Feb 2024 10:22:33 +0100

django-ninja (0.22.2-1.pilot.1) unstable; urgency=low

  * source package automatically created by stdeb 0.10.0

 -- Gael Le Mignot <gael@pilotsystems.net>  Thu, 01 Feb 2024 12:32:30 +0100

=== debian/control ===
Source: django-ninja
Maintainer: None <None>
Section: python
Priority: optional
Build-Depends: dh-python, python3-setuptools, python3-all, debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: https://pypi.org/project/django-ninja/

Package: python3-django-ninja
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Django Ninja - Fast Django REST Framework
 **Django Ninja** is a web framework for building APIs with **Django** and Python 3.6+ **type hints**.
 .

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.10.0 at
# Thu, 01 Feb 2024 12:30:10 +0100
export PYBUILD_NAME=django-ninja
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	true

=== debian/watch ===
# please also check http://pypi.debian.net/django-ninja/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/django-ninja/django-ninja-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
